#include "TagDouble.h"

#include <QtEndian>
#include <QtCore/QDataStream>

TagDouble::TagDouble(const double value) : AbstractNamedTag(ID), m_value(value) {}

bool const TagDouble::readPayloadFromData(QDataStream &data) {
    data >> m_value;
    m_value = qFromBigEndian(m_value);
    return true;
}
bool const TagDouble::writePayloadToData(QDataStream &data) const {
    data << qToBigEndian(m_value);
    return true;
}