#include "TagLong.h"

#include <QtEndian>
#include <QtCore/QDataStream>

TagLong::TagLong(const qint64 value) : AbstractNamedTag(ID), m_value(value) {}

bool const TagLong::readPayloadFromData(QDataStream &data) {
    data >> m_value;
    m_value = qFromBigEndian(m_value);
    return true;
}
bool const TagLong::writePayloadToData(QDataStream &data) const {
    data << qToBigEndian(m_value);
    return true;
}