#include "TagInt.h"

#include <QtEndian>
#include <QtCore/QDataStream>

TagInt::TagInt(const qint32 value) : AbstractNamedTag(ID), m_value(value) {}

bool const TagInt::readPayloadFromData(QDataStream &data) {
    data >> m_value;
    m_value = qFromBigEndian(m_value);
    return true;
}
bool const TagInt::writePayloadToData(QDataStream &data) const {
    data << qToBigEndian(m_value);
    return true;
}